'use strict'

/**
 * Ядро
 *
 * @author Arsen Mirzaev Tatyano-Muradovich <arsen@mirzaev.sexy>
 */
class core {
    /**
     * Префикс в журнале
     */
    prefix = 'ядро';

    /**
     * Инициализация
     */
    init() {
        // Инициализация маршрутизатора
        window.addEventListener("popstate", this.router);
    }

    /**
     * Маршрутизатор
     */
    router() {
    }

    /**
     * Запись в журнал
     *
     * @param {string} text
     *
     * @return {bool} Статус записи в журнал
     */
    log(text) {
        if (typeof text === 'string') {
            // Передана строка

            // Запись в журнал
            return log.write(this.prefix, text);
        }

        return false;
    }
}

// Запуск
new core().init();
